# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/poseidon-trident, last modified Tue May  7 16:03:23 2024
# ------------------------------------------------

package:
  name: poseidon-trident
  version: 1.5.0.1
source:
  - md5: c7ce4930a046ee832b37558ed5799c8b
    url: https://github.com/poseidon-framework/poseidon-hs/releases/download/v1.5.0.1/trident-macOS-X64
build:
  number: '0'
  run_exports:
    - poseidon-trident >=1.5.0.1
  script:
    - mkdir -p $PREFIX/bin
    - mv trident* $PREFIX/bin/trident
    - chmod u+x $PREFIX/bin/trident
  string: hc3fcf8b_0
requirements:
  build:
    - ca-certificates 2024.2.2 h8857fd0_0
    - cctools_osx-64 973.0.1 habff3f6_15
    - clang 15.0.7 hdae98eb_5
    - clang-15 15.0.7 default_h7151d67_5
    - clang_impl_osx-64 15.0.7 h03d6864_8
    - clang_osx-64 15.0.7 hb91bd55_8
    - clangxx 15.0.7 default_h7151d67_5
    - compiler-rt 15.0.7 ha38d28d_2
    - compiler-rt_osx-64 15.0.7 ha38d28d_2
    - icu 73.2 hf5e326d_0
    - ld64_osx-64 609 h0fd476b_15
    - libclang-cpp15 15.0.7 default_h7151d67_5
    - libcxx 17.0.6 h88467a6_0
    - libiconv 1.17 hd75f5a5_2
    - libllvm15 15.0.7 hbedff68_4
    - libxml2 2.12.6 hc0ae0f7_2
    - libzlib 1.2.13 h8a1eda9_5
    - llvm-tools 15.0.7 hbedff68_4
    - openssl 3.3.0 hd75f5a5_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - gmp 6.3.0 h73e2aa4_1
    - libcxx 17.0.6 h88467a6_0
    - libzlib 1.2.13 h8a1eda9_5
    - zlib 1.2.13 h8a1eda9_5
  run:
    - gmp >=6.3.0,<7.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - zlib
test:
  commands:
    - trident --version
about:
  home: https://www.poseidon-adna.org/#/
  license: MIT
  summary: A tool (trident) to work with modular genotype databases formatted using
    Poseidon.
extra:
  copy_test_source_files: true
  final: true
